From e474b8ba1effa93754bbe8bfdcbd61ab7e512e27 Mon Sep 17 00:00:00 2001
From: Jelte Fennema <jelte.fennema@microsoft.com>
Date: Thu, 6 Jan 2022 16:45:25 +0100
Subject: [PATCH] Doc: explain that connection options don't apply to
 cancellations

---
 doc/src/sgml/libpq.sgml | 18 ++++++++++++++----
 1 file changed, 14 insertions(+), 4 deletions(-)

diff --git a/doc/src/sgml/libpq.sgml b/doc/src/sgml/libpq.sgml
index 14f35d37f6..f3a860aaa3 100644
--- a/doc/src/sgml/libpq.sgml
+++ b/doc/src/sgml/libpq.sgml
@@ -1255,7 +1255,8 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
        For example, if you specify two hosts and <literal>connect_timeout</literal>
        is 5, each host will time out if no connection is made within 5
        seconds, so the total time spent waiting for a connection might be
-       up to 10 seconds.
+       up to 10 seconds. This paramater is ignored for connections that are
+       used to send cancellation requests.
       </para>
       </listitem>
      </varlistentry>
@@ -1324,7 +1325,8 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
         Controls whether client-side TCP keepalives are used. The default
         value is 1, meaning on, but you can change this to 0, meaning off,
         if keepalives are not wanted.  This parameter is ignored for
-        connections made via a Unix-domain socket.
+        connections made via a Unix-domain socket. This paramater is also
+        ignored for connections that are used to send cancellation requests.
        </para>
       </listitem>
      </varlistentry>
@@ -1336,7 +1338,9 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
         Controls the number of seconds of inactivity after which TCP should
         send a keepalive message to the server.  A value of zero uses the
         system default. This parameter is ignored for connections made via a
-        Unix-domain socket, or if keepalives are disabled.
+        Unix-domain socket, or if keepalives are disabled. This paramater is
+        also ignored for connections that are used to send cancellation
+        requests.
         It is only supported on systems where <symbol>TCP_KEEPIDLE</symbol> or
         an equivalent socket option is available, and on Windows; on other
         systems, it has no effect.
@@ -1352,6 +1356,8 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
         that is not acknowledged by the server should be retransmitted.  A
         value of zero uses the system default. This parameter is ignored for
         connections made via a Unix-domain socket, or if keepalives are disabled.
+        This paramater is also ignored for connections that are used to send
+        cancellation requests.
         It is only supported on systems where <symbol>TCP_KEEPINTVL</symbol> or
         an equivalent socket option is available, and on Windows; on other
         systems, it has no effect.
@@ -1367,6 +1373,8 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
         client's connection to the server is considered dead.  A value of
         zero uses the system default. This parameter is ignored for
         connections made via a Unix-domain socket, or if keepalives are disabled.
+        This paramater is also ignored for connections that are used to send
+        cancellation requests.
         It is only supported on systems where <symbol>TCP_KEEPCNT</symbol> or
         an equivalent socket option is available; on other systems, it has no
         effect.
@@ -1381,7 +1389,9 @@ postgresql://%2Fvar%2Flib%2Fpostgresql/dbname
         Controls the number of milliseconds that transmitted data may
         remain unacknowledged before a connection is forcibly closed.
         A value of zero uses the system default. This parameter is
-        ignored for connections made via a Unix-domain socket.
+        ignored for connections made via a Unix-domain socket. This paramater
+        is also ignored for connections that are used to send cancellation
+        requests.
         It is only supported on systems where <symbol>TCP_USER_TIMEOUT</symbol>
         is available; on other systems, it has no effect.
        </para>
-- 
2.17.1

